Minecraft 1.13 Information  (Read 1709 times)

0 Members and 1 Guest are viewing this topic.

ItsLawrence

Minecraft 1.13 Information
« on: 18 Jul 2018, 19:40:06 »

Earlier today Mojang announced the release of Minecraft 1.13 (Update Aquatic); as with all Minecraft updates we will NOT be supporting 1.13 yet on Noobstown. (We're still on 1.12.2!) Please DO NOT UPDATE YOUR MINECRAFT CLIENT or select specifically to continue playing in 1.12.2 if you want to continue playing on Noobstown. We will eventually be working to fully support 1.13 but this isn't likely to be happen immediately so if you want to continue playing on Noobstown for now don't update until we announce it's recommended to do so.

If you've automatically updated to 1.13 and still want to play on Noobstown.com you'll need to use a 1.12.2 profile. To do so in the Minecraft Launcher select "Launch Options" and then click "Add New". From there against "Version" is a big selection list of all the different versions; to play on Noobstown it's recommended you use "1.12.2".



From there then back on the main screen of the Launcher select the up arrow to the right of the big play button, and select the new profile you just made.





UPDATE: You can now connect to Noobstown using 1.13 clients. At this time we won't support any of the new features, but you'll at least be able to connect if you've upgraded; and make use of some of the client-only features.

This isn't a full update to 1.13 so there are likely to be some visual issues with things if you're using 1.13; it is therefore still recommended to use 1.12.2 if you wish to play on Noobstown properly. Further announcements will be made once we fully upgrade to 1.13!
« Last Edit: 21 Jul 2018, 15:51:20 by ItsLawrence »

Duelcon

Re: Minecraft 1.13 Information
« Reply #1 on: 18 Jul 2018, 20:05:19 »
Thanks for the info, Larry!  Hopefully 1.13 will be run on Noobstown soon!  Long Live Aquatic Updates!

mrfloris

Re: Minecraft 1.13 Information
« Reply #2 on: 18 Jul 2018, 20:53:26 »
Hopefully ViaVersion comes out soon with the 1.13 support (we still have a few issues) and 1.13 clients can connect to 1.12.2 Noobstown? :) :) :)

Diamondpuppy808

Re: Minecraft 1.13 Information
« Reply #3 on: 19 Jul 2018, 22:55:38 »
I hope we get it as soon as possible :D I NEED those buttons :D :P

ItsLawrence

Re: Minecraft 1.13 Information
« Reply #4 on: 21 Jul 2018, 15:36:06 »
You can now connect to Noobstown using 1.13 clients. At this time we won't support any of the new features, but you'll at least be able to connect if you've upgraded; and make use of some of the client-only features.

As this isn't a complete/full update to 1.13 there are likely to be some noticeable visual issues on your client if you're using 1.13. It is therefore still recommended to use 1.12.2 if you wish to play on Noobstown properly. Further announcements will be made once we fully upgrade to 1.13!

If you notice any bugs which are more than simply visual please immediately report them to me.
« Last Edit: 21 Jul 2018, 16:03:36 by ItsLawrence »

mrfloris

Re: Minecraft 1.13 Information
« Reply #5 on: 21 Jul 2018, 16:11:42 »
You can now connect to Noobstown using 1.13 clients. At this time we won't support any of the new features, but you'll at least be able to connect if you've upgraded; and make use of some of the client-only features.

As this isn't a complete/full update to 1.13 there are likely to be some noticeable visual issues on your client if you're using 1.13. It is therefore still recommended to use 1.12.2 if you wish to play on Noobstown properly. Further announcements will be made once we fully upgrade to 1.13!

If you notice any bugs which are more than simply visual please immediately report them to me.

Sweet, 1.13 protocol is supported to connect with. That helps!

mrfloris

Re: Minecraft 1.13 Information
« Reply #6 on: 21 Jul 2018, 18:45:45 »
Welp, I cannot connect, can you try 1.4.2-snapshot from the ci.* site?
Connecting with 1.13 crashes my client. I have a video recording of it if you want Larry.

Diamondpuppy808

Re: Minecraft 1.13 Information
« Reply #7 on: 24 Jul 2018, 01:12:26 »
Welp, I cannot connect, can you try 1.4.2-snapshot from the ci.* site?
Connecting with 1.13 crashes my client. I have a video recording of it if you want Larry.
Next time I log in I must test to see if it crashes for me or not :P

ItsLawrence

Re: Minecraft 1.13 Information
« Reply #8 on: 27 Jul 2018, 21:46:00 »
Welp, I cannot connect, can you try 1.4.2-snapshot from the ci.* site?
Connecting with 1.13 crashes my client. I have a video recording of it if you want Larry.
I'm not too keen on using builds which haven't been released properly. I'm aware it's not overly stable as it is, but I'd rather be safe about potential issues. Once it's sensible to do so then I will update to hopefully make 1.13 clients connecting less buggy; plus obviously the plan is to eventually fully update and support 1.13.

mrfloris

Re: Minecraft 1.13 Information
« Reply #9 on: 28 Jul 2018, 04:05:33 »
I'm not too keen on using builds which haven't been released properly. I'm aware it's not overly stable as it is, but I'd rather be safe about potential issues. Once it's sensible to do so then I will update to hopefully make 1.13 clients connecting less buggy; plus obviously the plan is to eventually fully update and support 1.13.
That's fine by me, but i rather run a stable+ bug fix beta, than a stable that's not actually stable.
Haven't found someone saying: oh cool this works with 1.13, they join/part and come back and say: didn't work on 1.13

[edit]
We should have a stable out later today :)
« Last Edit: 29 Jul 2018, 11:11:02 by mrfloris »

TidalDawn

Re: Minecraft 1.13 Information
« Reply #10 on: 7 Aug 2018, 05:20:05 »
Players with 1.13 are often having issues logging in, something about water tessellations or something.

ItsLawrence

Re: Minecraft 1.13 Information
« Reply #11 on: 1 Sep 2018, 10:16:56 »
Updates have been made which should hopefully make things slightly more playable using 1.13.x. For now we still recommend you play using 1.12.2 though!

mrfloris

Re: Minecraft 1.13 Information
« Reply #12 on: 1 Sep 2018, 17:08:51 »
It crashes the client when I talk in 1.13.1, but at least I can connect.